/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Widget;
import javax.swing.JPanel;
import java.awt.BorderLayout;

public class CompositeWidget extends Widget {
    private attribute __panel__: JPanel;
    private attribute __composite__: Widget;
    protected operation composeWidget(): Widget;    
}

operation CompositeWidget.createComponent() {
    __composite__ = this.composeWidget();
    __panel__ = new JPanel();
    __panel__.setOpaque(false);
    __panel__.setLayout(new BorderLayout());
    var c = __composite__.createComponent();
    __panel__.add(c, BorderLayout.CENTER);
    return __panel__;
}
