/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import java.awt.geom.AffineTransform;

public class Matrix extends Transform {
    public attribute a: Number;
    public attribute b: Number;
    public attribute c: Number;
    public attribute d: Number;
    public attribute tx: Number;
    public attribute ty: Number;
}

trigger on Matrix.a = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

trigger on Matrix.b = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

trigger on Matrix.c = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

trigger on Matrix.d = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

trigger on Matrix.tx = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

trigger on Matrix.ty = value {
    transform = new AffineTransform(a, b, c, d, tx, ty);
}

matrix:Matrix = operation(a:Number,b:Number,c:Number,d:Number,tx:Number,ty:Number) {
    return Matrix {a: a, b: b, c: c,
                   d: d, tx: tx, ty: ty};
};


