/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import javafx.ui.canvas.Area;
import java.awt.geom.Area as JArea;

/**
 * Area operation which subtracts the shape of <code>shape2</code> from the shape of <code>shape1</code>.
 */
public class Subtract extends Area {
}

operation Subtract.performOp(area1:JArea, area2:JArea) {
    area1.subtract(area2);
}

