/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Border;

public class CompoundBorder extends Border {
    public attribute borders: Border*;
}

operation CompoundBorder.getBorder() {
    var result = new <<javax.swing.border.CompoundBorder>>(borders[0].getBorder(),
                                                    borders[1].getBorder());
    for (i in [2..<sizeof borders]) {
        result = new <<javax.swing.border.CompoundBorder>>(result,
                                                    borders[i].getBorder());
    }
    return result;
}
