/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Widget;
import javafx.ui.Orientation;

public class Separator extends Widget {
    private attribute jsep:<<javax.swing.JSeparator>>;
    public attribute orientation: Orientation;
}

operation Separator.createComponent() {
    jsep = new <<javax.swing.JSeparator>>(if orientation == VERTICAL:Orientation then jsep.VERTICAL else jsep.HORIZONTAL);
    return jsep;
}    

trigger on (Separator.orientation = value) {
    jsep.setOrientation(if orientation == VERTICAL:Orientation then jsep.VERTICAL else jsep.HORIZONTAL);
}

