/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import javafx.ui.canvas.Area;
import java.awt.geom.Area as JArea;

/**
 * Area operation that sets the shape of this <code>Area</code> to the intersection of 
 * <code>shape1<code> and <code>shape2</code>.
 */

public class Intersect extends Area {
}

operation Intersect.performOp(area1:JArea, area2:JArea) {
    area1.intersect(area2);
}
